Get app information by package name
curl --request GET \
--url https://managexrapi.com/v1/apps/{packageName} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/apps/{packageName}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/apps/{packageName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"packageName": "com.example.app",
"title": "My Awesome App",
"description": "A fantastic app for managing XR content",
"categories": [
"Education",
"Productivity"
],
"iconUrl": "https://storage.example.com/apps/com.example.app/icon.png",
"numVersions": 5
}
}{
"statusCode": 404,
"message": "App with package name com.example.app not found",
"error": "ManageXR Error"
}Apps
Get App
Returns information about a specific app including the title, iconUrl, categories, and number of versions.
GET
/
v1
/
apps
/
{packageName}
Get app information by package name
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
The app profile
Show child attributes
Show child attributes
⌘I